<!DOCTYPE html>
<html lang="fr">
    <head>
        {% include('layout/headerPrint.twig') %}
        {% block header %}{% endblock %}
        {% block css %}{% endblock %}

        {%  if app.debug %}
            <style type='text/css'>
                #layerstateinfos {
                    display: block;
                }
            </style>
        {% endif %}
    </head>

    <body lang="en-US">

        <div id="reglages" class="infosGeo reglagesPrint">
            <h3>Personnalisation<br>
                de la carte</h3>
            <form method="get" action="#">

                <p>Largeur de la légende</p>
                <input id="print_legend_width" type="range" min="10" max="100" step="10" onchange="changeLegendWidth(this.value)" value="{{ app.session.print.legend_width|default(30) }}"/>

                <p>Taille du texte de la légende</p>
                <input id="print_legend_size" type="range" min="30" max="150" step="10" onchange="changeLegendSize(this.value)" value="{{ app.session.print.legend_size|default(100) }}"/>

                <p>Enregistrer la carte dans une vue</p>
                <input class='form-control' id='user_view_name' value='' placeholder="Nommer la carte"/>
                <button class="btn btn-xs btn-default" onclick="sendData('view=' + $('#user_view_name').val()+'&print_comment='+$('#printComment').val()+'&print_legend_width='+$('#print_legend_width').val()+'&print_legend_size='+$('#print_legend_size').val(), '{{ url('user-view-create') }}', 'infos', event, true);return false;">
                    OK</button>


                <p>Charger la carte</p>

                {%  if U.tabUserViews is defined and U.tabUserViews|length >0 %}
                    <select id="user_view_select" style="width:150px;">
                        {%  for key,V in U.tabUserViews %}
                            <option value="{{ key }}">{{ V }}<small>[{{ key }}]</small>
                            </option>
                        {% endfor %}
                    </select>
                {% endif %}
                <button class="btn btn-xs btn-default" onclick="sendData('user_view_id='+$('#user_view_select').val(), '{{ url('user-view-load') }}', 'infos', event, true);">OK</button>
            </form>
        </div>

        <div class="container-fluid fill printContainer">
            <div class="row fill">
                <div class="modal fade" id="loginModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content" id="modal-content"></div>
                    </div>
                </div>
                {% set printInfos = app.session.get('print') %}
                <div id="map" class="" style="width:{{ 100-(printInfos.legend_width|default(30))}}%;float:left;">
                    <div id="basemapslidercontainer">
                        <div id="basemapslider"></div>
                    </div>
                </div>
                <div id="rightColumn" class="rightColumnPrint" style="width:{{ printInfos.legend_width|default(30) }}%;height:100%;">
                    <div id="title">
                        <textarea id="printTitle" onchange="$('#user_view_name').val(this.value);">Titre</textarea>
                    </div>
                    <div id="errorDiv"></div>
                    <div id="layerstateinfos" style="display:none;">
                        <div class="text-center"><input id="center" value="{{ app['session'].get('default_center')|default(null) }}"/><input id="zoom" value="{{ app['session'].get('default_zoom')|default(null) }}"/><div id="layerstate"></div>
                        </div>
                    </div>
                    <div id="rightContent" class="container-fluid">
                        {% for message in app.session.getFlashBag.get('message') %}
                            <div class="alert alert-{{ message.status }}" data-alert="alert">{{ message.text }}<button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        {% endfor %}
                        <div id="infos"></div>
                        <div id="objet"></div>
                        <div id="comment">
                            <textarea id="printComment">Sources : {{ ORGANISATION }}</textarea>
                        </div>
                        <footer class="footerPrint"><img src="/conf/logo_structure.gif" height="50px"/></footer>
                    </div>
                </div>
            </div>
            <div id="sysmaFooterPrint">
                <img src="/img/logo_sysma.png" height="12px" alt="logo Sysma"/>
                <a href="https://sysma.io" target="_blank">Sysma</a>
            </div>

            <span id="iconCoord" class="text-inactive" style="display:none"></span>
        </div>

        {% include('layout/footer.twig') %}
        {% block js %}{% endblock %}

        <script>

            function changeLegendWidth(value) {

                $('#rightColumn').css('width', value+'%') ;
                $('#map').css('width', (100-Number(value))+'%') ;
                console.log(map);
                map.invalidateSize() ;


            }

            function changeLegendSize(value) {

                $('#rightColumn div').css('font-size', Math.max(6, (Number(value) / 100 * 10)) + 'px');
                $('.layerNamePrint').css('margin-top', Math.max(0, 5 / (Number(value) / 100 * 10)) + 'px');
                $('#rightColumn .iconPrint').css('scale', value + '%');
                $('#rightColumn .iconPrint').css('margin-top', -(100 / Number(value) * 3) + 'px');
                $('.rowPrint').css('line-height', Math.max(2,(Number(value) / 100 * 10)) + 'px');
                $('.ATElement').css('scale', value + '%');
                $('.ATElementPrint').css('padding-top', (Number(value) / 100 * 15) + 'px');


            }
        </script>

    </body>
</html>
